LIGHTNING-RENEPAYSTATUS(7)

NAME

lightning-renepaystatus -- Command for quering the status of previous renepay attempts

SYNOPSIS

renepaystatus [invstring]

DESCRIPTION

The renepaystatus RPC command queries the payment plugin renepay for the status of previous payment attempts. If invstring is specified, the command will return a list of payment attempts whose invoice matches invstring, otherwise all payments with be listed. This command always succeeds.

RETURN VALUE

On success, an object containing paystatus is returned. It is an array of objects, where each object contains:

•   bolt11 (string): invoice string BOLT11

•   payment_hash (hash): the hash of the payment_preimage which will prove payment

•   created_at (number): the UNIX timestamp showing when this payment was initiated

•   groupid (u32): the id for this payment attempt

•   amount_msat (msat): amount the recipient received

•   status (string): status of payment (one of "complete", "pending", "failed")

•   notes (array of strings): a list of messages for debugging purposes:

    •   a message generated by renepay

•   payment_preimage (secret, optional): the proof of payment: SHA256 of this payment_hash (for completed payments only)

•   parts (u32, optional): how many attempts this took

•   amount_sent_msat (msat, optional): total amount we sent including fees (for completed payments only)

•   destination (pubkey, optional): the final destination of the payment

AUTHOR

Eduardo Quintana-Miranda <eduardo.quintana@pm.me> is mainly responsible.

SEE ALSO

lightning-renepay(7), lightning-listpays(7).

RESOURCES

Main web site: https://github.com/ElementsProject/lightning